> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-signal-endpoint-signals/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # [BETA] Get signals originated from a specific signal endpoint. GET https://app.unleash-instance.example.com/api/admin/signal-endpoints/{signalEndpointId}/signals **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Returns a list of signals originated from a specific signal endpoint, identified by its id. Reference: https://docs.getunleash.io/api/get-signal-endpoint-signals ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Path parameters - `signalEndpointId` (string, required) ### Query parameters - `limit` (string, optional) — The number of results to return in a page. By default it is set to 50. - `offset` (string, optional) — The number of results to skip when returning a page. By default it is set to 0. ## Response ### 200 #/components/schemas/signalEndpointSignalsSchema - `signalEndpointSignals` (list of signalEndpointSignalSchema, required) — A list of signals originated from a signals endpoint. ## Errors ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 403 Forbidden Error The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 404 Not Found Error The requested resource was not found. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### signalEndpointSignalSchema An object describing a signal originated from a signal endpoint. - `createdAt` (string, required) — The date and time of when the signal was created. - `source` (enum, required) — The signal source type. Should be used along with `sourceId` to uniquely identify the resource that created this signal. - Allowed values: `signal-endpoint` - `sourceId` (integer, required) — The ID of the source that created this signal. Should be used along with `source` to uniquely identify the resource that created this signal. - `id` (integer, optional) — The signal's ID. Signal IDs are incrementing integers. In other words, a more recently created signal will always have a higher ID than an older one. - `payload` (SignalEndpointSignalSchemaPayload, optional) — The payload of the signal. - `tokenName` (string, optional, nullable) — The name of the token used to register this signal. ### SignalEndpointSignalSchemaPayload The payload of the signal. ## Examples **Response** ```json { "signalEndpointSignals": [ { "createdAt": "2023-12-27T13:37:00+01:00", "source": "signal-endpoint", "sourceId": 1337, "id": 7, "payload": { "cpu": 92, "memory": 85 }, "tokenName": "signal-endpoint-token" } ] } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/signals" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/signals'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/signals" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/signals") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/signals") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/signals', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/signals"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/signals")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```